# OpenLayers.Handler.Box

Handler for dragging a rectangle across the map. Box is displayed on mouse down, moves on mouse move, and is finished on mouse up.

#### Inherits from

- OpenLayers.Handler

Summary

OpenLayers.Handler.Box | Handler for dragging a rectangle across the map.
Properties |
boxDivClassName | {String} The CSS class to use for drawing the box.
Constructor |
OpenLayers.Handler.Box |

### Properties

### boxDivClassName

{String} The CSS class to use for drawing the box. Default is olHandlerBoxZoomBox

### Constructor

### OpenLayers.Handler.Box

#### Parameters

control | {OpenLayers.Control}
callbacks | {Object} An object with a properties whose values are functions. Various callbacks described below.
options | {Object}

#### Named callbacks

start | Called when the box drag operation starts.
done | Called when the box drag operation is finished. The callback should expect to receive a single argument, the box bounds or a pixel. If the box dragging didn’t span more than a 5 pixel distance, a pixel will be returned instead of a bounds object.

Base class to construct a higher-level handler for event sequences.
Controls affect the display or behavior of the map.
Close